## xcolmix 1.07

=== src/Makefile ===
# --------------------------------------------------------------------------
#
# Makefile for xcolmix
#
# --------------------------------------------------------------------------

# Note: you will need the XForms library to get things compiled. You can
# obtain the library at one of the Linux ftp sites (sunsite.unc.edu,
# tsx-11.mit.edu) or at the primary sites: bloch.phys.uwm.edu:/pub/xforms
# and ftp.cs.ruu.nl:/pub/XFORMS.

# If you have installed XForms as the Makefile of the package does, you won't
# have any problems compiling all. Otherwise, set XFLIBDIR to "-L..." (the
# directory where the library lives) and XFLIBINC to "-I..." (the directory
# where the include file forms.h lives).
# XFLIBDIR= -L/usr/X11R6/lib
# XFINCDIR = -I/usr/local/inc

# A `make install' will create a stripped version of xcolmix and install it
# to BINDIR. Define that directory here. If you want to make the program first
# to check it out, before installing it, must do a `make final' before the
# `make install'.
prefix = /usr/local
BINDIR = $(prefix)/bin
MANDIR = $(prefix)/man/man1

# Standard compilation flags. You probably won't have to change these, if
# you are using gcc.
STDCFLAGS = -c -O2 -Wall $(XFINCDIR)
STDLFLAGS = -s -L/usr/X11R6/lib

# Compilation flags for `make debug'. Again, OK for gcc.
DEBUGCFLAGS = -g
DEBUGLFLAGS = -static

# You have edited enough. Now run `make'.
# --------------------------------------------------------------------------


# objects we need for the program
OBJ =  xcolmix.o callbacks.o initforms.o makecolor.o usage.o design.o \
       loadlookupbrowser.o

foobar:
	@echo 'Make what? Choose one of:'
	@echo 'make final : make final version of xcolmix'
	@echo 'make debug : make debugging version of xcolmix'
	@echo 'make clean : remove objects and binary'
	@echo 'make install : make final version and install to' $(BINDIR)
	@echo 'make dist : make distribution (for me, Karel, only)'
	exit 1

final:
	make xcolmix CFLAGS="$(STDCFLAGS)" LFLAGS="$(STDLFLAGS)"

debug:
	make xcolmix CFLAGS="$(STDCFLAGS) $(DEBUGCFLAGS)" \
	    LFLAGS="$(DEBUGLFLAGS)"

clean:
	rm -f xcolmix $(OBJ)

install: final
	install -s xcolmix $(BINDIR)
	install -m 644  xcolmix.1  $(MANDIR)/xcolmix.1

xcolmix: $(OBJ)
	$(CC) -o xcolmix.new $(OBJ) $(XFLIBDIR) -lforms -lX11 -lm $(LFLAGS)
	mv xcolmix.new xcolmix

dist: clean
	header -ak0 design.h design.c
	header -rk *.c *.h
	.makedist $(BINDIR)


# extra deps
initforms.o: initforms.c version.h
usage.o: usage.c version.h

=== debian/changelog ===
xcolmix (1.07-10.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove need for root when building the package.
    (Closes: #1089472)

 -- Niels Thykier <niels@thykier.net>  Tue, 31 Dec 2024 11:33:48 +0000

xcolmix (1.07-10.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix segfault if display couldn't be initialised. (Closes: #716494)

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Mon, 04 Nov 2024 22:11:07 +0100

xcolmix (1.07-10.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Include stdlib.h to fix the build with GCC 14. Closes: #1066690.

 -- Stephen Kitt <skitt@debian.org>  Thu, 22 Aug 2024 13:56:36 +0200

xcolmix (1.07-10.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add missing required debian/rules targets build-arch and/or build-indep.
    (Closes: #999219)
  * Apply a patch by Helmut Grohne to correctly pass cross-building tools to
    Make. (Closes: #988018)
  * Make the build reproducible by adapting debian/rules to use CFLAGS from
    dpkg-buildflags(1), appending -ffile-prefix-map. (Closes: #1020748)

 -- Chris Lamb <lamby@debian.org>  Thu, 06 Oct 2022 09:41:37 -0700

xcolmix (1.07-10) unstable; urgency=low

  * Rebuild against libforms2.
  * Standards-Version: 3.8.4
  * Switch to dpkg-source 3.0 (quilt) format.

 -- Peter S Galbraith <psg@debian.org>  Thu, 27 May 2010 20:47:37 -0400

xcolmix (1.07-9) unstable; urgency=low

  * Opps.  Forgot to change xserver-common for x11-common as part of fix
    for #508864.

 -- Peter S Galbraith <psg@debian.org>  Sat, 17 Oct 2009 08:29:29 -0400

xcolmix (1.07-8) unstable; urgency=low

  * Bug fix: "FTBFS: xcolmix.h:29:23: error: X11/forms.h: No such file or
    directory", thanks to Lucas Nussbaum (Closes: #551247).
    Adapt to new libforms1 library.
  * Bug fix: "looks for rgb.txt in the wrong place", thanks to Justin B
    Rye (Closes: #508864).
  * Fixed menu entry.

 -- Peter S Galbraith <psg@debian.org>  Fri, 16 Oct 2009 15:53:21 -0400

xcolmix (1.07-7) unstable; urgency=low

  * Bug fix: "xcolmix: FTBFS: build-depends on removed xlibs-dev", thanks
    to Adeodato Simó for the report and to Justin Pryzby for the patch
    (Closes: #346802).
  * Standards version 3.6.2

 -- Peter S Galbraith <psg@debian.org>  Wed, 18 Jan 2006 18:53:12 -0500

xcolmix (1.07-6) unstable; urgency=low

  * Move to main from contrib!
  * Standards version 3.5.8;  Edited rules file a bit to comply.

 -- Peter S Galbraith <psg@debian.org>  Mon,  9 Dec 2002 22:55:09 -0500

xcolmix (1.07-5) unstable; urgency=low

  * Update to policy 3.2.1 (Build-Depends)

 -- Peter S Galbraith <psg@debian.org>  Wed, 21 Feb 2001 10:21:50 -0500

xcolmix (1.07-4) unstable; urgency=low

  * Fixed packaging of upstream changelog file.

 -- Peter S Galbraith <psg@debian.org>  Tue, 14 Dec 1999 09:33:00 -0500

xcolmix (1.07-3) unstable; urgency=low

  * Added Suggests: xserver-common for rgb.txt files.
  * Build i386 against libforms0.89

 -- Peter S Galbraith <psg@debian.org>  Tue, 19 Oct 1999 13:06:14 -0400

xcolmix (1.07-2) unstable; urgency=low

  * Update to policy 3.0.1 (/usr/share/)

 -- Peter S Galbraith <psg@debian.org>  Sat, 25 Sep 1999 15:08:01 -0400

xcolmix (1.07-1) unstable; urgency=low

  * New upstream release created by Debian maintainer.
     Yet another new license (GPL + permission to link against XForms).

 -- Peter S Galbraith <psg@debian.org>  Fri, 11 Jun 1999 10:07:56 -0400

xcolmix (1.06-1) unstable; urgency=low

  * New upstream release created by Debian maintainer.
     New license (GPL + permission to link against XForms).
     Also added the Debian man page to upstream package.
  * Closes Bug#35855: Xcolmix does not build from source
     design.c and xcolmix.h now have #include <X11/forms.h>
     Hacked the makefile a little to add library path.
	
 -- Peter S Galbraith <psg@debian.org>  Mon, 12 Apr 1999 23:15:23 -0500

xcolmix (1.05-1) unstable; urgency=low

  * Initial Release.

 -- Peter S Galbraith <psg@debian.org>  Wed, 16 Dec 1998 22:51:50 -0500

=== debian/control ===
Source: xcolmix
Section: utils
Priority: optional
Maintainer: Peter S Galbraith <psg@debian.org>
Build-Depends: debhelper (>= 7), libforms-dev
Rules-Requires-Root: no
Standards-Version: 3.8.4

Package: xcolmix
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: x11-common
Description: an RGB colour mixer
 xcolmix enables you to mix your own colours in order to determine three
 values (the R/G/B code, or red-green-blue mix) of a colour. You can use
 those colours to, e.g., define the foreground or background of X
 applications which support it. Furthermore, xcolmix lets you retrieve RGB
 values from the X system's database of `predefined' colours.

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

package=xcolmix

build-arch: build
build-indep: build

build:
	$(checkdir)

	dh_auto_build --sourcedirectory=src -- final STDLFLAGS="-L /usr/X11R6/lib" STDCFLAGS="$(XFINCDIR) $(shell dpkg-buildflags --get CFLAGS)"
	touch build

clean:
	$(checkdir)
	-rm -f build
	(cd src; make clean)
	dh_clean

binary-indep: build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch: build
	$(checkdir)
	-rm -rf debian/xcolmix
	install -d debian/xcolmix/usr/bin
#	install -d debian/xcolmix/usr/share/doc/xcolmix
	install -m 755 src/xcolmix debian/xcolmix/usr/bin 
	dh_installdirs
	dh_installdocs xcolmix.README
	dh_installexamples
	dh_installchangelogs ChangeLog
	dh_installmenu
	dh_installman -pxcolmix src/xcolmix.1
	dh_strip
	dh_compress
	dh_fixperms
	dh_shlibdeps
	dh_gencontrol
	dh_installdeb
	dh_md5sums
	dh_builddeb

define checkdir
	test -f debian/rules
endef

binary: binary-indep binary-arch

.PHONY: binary binary-arch binary-indep clean
